class CfgPatches
{
	class fin_Officer
	{
		units[] = {fin_Officer};
		weapons[] = {};
		requiredVersion = 1.30;		
	};

	class fin_Soldier
	{
		units[] = {fin_Soldier};
		weapons[] = {};
		requiredVersion = 1.30;		
	};

	class fin_SoldierMG
	{
		units[] = {fin_Soldier};
		weapons[] = {};
		requiredVersion = 1.30;		
	};

	class fin_SoldierLAW
	{
		units[] = {fin_Soldier};
		weapons[] = {};
		requiredVersion = 1.30;		
	};
	
	class fin_SoldierAT
	{
		units[] = {fin_Soldier};
		weapons[] = {};
		requiredVersion = 1.30;		
	};

	class fin_SoldierAA
	{
		units[] = {fin_Soldier};
		weapons[] = {};
		requiredVersion = 1.30;		
	};

	class fin_SoldierEng
	{
		units[] = {fin_Soldier};
		weapons[] = {};
		requiredVersion = 1.30;		
	};

	class fin_Medic
	{
		units[] = {fin_Medic};
		weapons[] = {};
		requiredVersion = 1.30;		
	};
};

class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWB:Soldier{};
	class SoldierWMedic: SoldierWB{};
	class SoldierWG: SoldierWB{};
	class SoldierWMG: SoldierWB{};
	class SoldierWLAW: SoldierWB{};
	class SoldierWAT: SoldierWLAW{};
	class SoldierWAA: SoldierWLAW{};
	class OfficerW: SoldierWB{};
	class OfficerWNight:SoldierWB{};
	class SoldierWSniper: SoldierWB{};
	class SoldierWMiner: SoldierWB{};
	class SoldierWSaboteur: SoldierWB{};
	class SoldierWSaboteurPipe: SoldierWSaboteur{};
	class SoldierWSaboteurDay: SoldierWSaboteurPipe{};
	
	class fin_Officer: OfficerW
	{
		model="\fin_inf\fin_officer";
		displayName="FIN Officer";
		picture="\fin_inf\ivojak";
		moves="CfgMovesMC";
		vehicleClass="Men";
		scope=2;
		side=1;
		accuracy=0.900000;
		weapons[]={"uce_rk76","Throw","Put","Binocular"};
		magazines[]={"uce_rk76","uce_rk76","uce_rk76","uce_rk76","HandGrenade","HandGrenade","HandGrenade","HandGrenade","HandGrenade","HandGrenade"};
		cost=60000;
		wounds[]={ "\fin_inf\xicht_a.paa","\fin_inf\xicht_a_zranen.pac",
			"\fin_inf\00003mc_fin_o.paa","\fin_inf\00007mc_fin_o.paa",
			"\fin_inf\00004mc_fin.paa","\fin_inf\00008mc_fin.paa",
			"\fin_inf\00005mc_fin.paa","\fin_inf\00009mc_fin.paa",
			"\fin_inf\fin_hrud_po.pac","\fin_inf\fin_hrud_po_d.pac",
			"\fin_inf\fin_nohy_p.pac","\fin_inf\fin_nohy_p_d.pac",
			"\fin_inf\fin_nohy_z.pac","\fin_inf\fin_nohy_z_d.pac",
			"\fin_inf\fin_zada_zo.pac","\fin_inf\fin_zada_zo_d.pac"};
	};
	
	class fin_Soldier: SoldierWB
	{
		model="\fin_inf\fin_soldier";
		displayName="FIN Soldier";
		picture="\fin_inf\ivojak";
		moves="CfgMovesMC";
		vehicleClass="Men";
		scope=2;
		side=1;
		accuracy=0.700000;
		weapons[]={"uce_rk76","Throw","Put"};
		magazines[]={"uce_rk76","uce_rk76","uce_rk76","uce_rk76","HandGrenade","HandGrenade","HandGrenade","HandGrenade","HandGrenade","HandGrenade"};
		cost=40000;
		wounds[]={ "\fin_inf\xicht_a.paa","\fin_inf\xicht_a_zranen.pac",
			"\fin_inf\00003mc_fin.paa","\fin_inf\00007mc_fin.paa",
			"\fin_inf\00004mc_fin.paa","\fin_inf\00008mc_fin.paa",
			"\fin_inf\00005mc_fin.paa","\fin_inf\00009mc_fin.paa",
			"\fin_inf\fin_hrud_p.pac","\fin_inf\fin_hrud_p_d.pac",
			"\fin_inf\fin_nohy_p.pac","\fin_inf\fin_nohy_p_d.pac",
			"\fin_inf\fin_nohy_z.pac","\fin_inf\fin_nohy_z_d.pac",
			"\fin_inf\fin_zada_z.pac","\fin_inf\fin_zada_z_d.pac"};
	};
	
	class fin_SoldierMG: SoldierWB
	{
		model="\fin_inf\fin_soldier";
		displayName="FIN Machinegunner";
		picture="\fin_inf\ismg";
		moves="CfgMovesMC";
		vehicleClass="Men";
		scope=2;
		side=1;
		accuracy=0.900000;
		weapons[]={"pk","Throw","Put"};
		magazines[]={"pk","pk","pk","pk","HandGrenade","HandGrenade"};
		cost=40000;
		wounds[]={ "\fin_inf\xicht_a.paa","\fin_inf\xicht_a_zranen.pac",
			"\fin_inf\00003mc_fin.paa","\fin_inf\00007mc_fin.paa",
			"\fin_inf\00004mc_fin.paa","\fin_inf\00008mc_fin.paa",
			"\fin_inf\00005mc_fin.paa","\fin_inf\00009mc_fin.paa",
			"\fin_inf\fin_hrud_p.pac","\fin_inf\fin_hrud_p_d.pac",
			"\fin_inf\fin_nohy_p.pac","\fin_inf\fin_nohy_p_d.pac",
			"\fin_inf\fin_nohy_z.pac","\fin_inf\fin_nohy_z_d.pac",
			"\fin_inf\fin_zada_z.pac","\fin_inf\fin_zada_z_d.pac"};
	};

	class fin_SoldierLAW: SoldierWB
	{
		model="\fin_inf\fin_soldier";
		displayName="FIN Soldier LAW";
		picture="\fin_inf\islaw";
		moves="CfgMovesMC";
		vehicleClass="Men";
		scope=2;
		side=1;
		accuracy=0.800000;
		weapons[]={"uce_rk76","Throw","Put","LAWLauncher"};
		magazines[]={"uce_rk76","uce_rk76","uce_rk76","uce_rk76","LAWLauncher","LAWLauncher","LAWLauncher"};
		cost=50000;
		wounds[]={ "\fin_inf\xicht_a.paa","\fin_inf\xicht_a_zranen.pac",
			"\fin_inf\00003mc_fin.paa","\fin_inf\00007mc_fin.paa",
			"\fin_inf\00004mc_fin.paa","\fin_inf\00008mc_fin.paa",
			"\fin_inf\00005mc_fin.paa","\fin_inf\00009mc_fin.paa",
			"\fin_inf\fin_hrud_p.pac","\fin_inf\fin_hrud_p_d.pac",
			"\fin_inf\fin_nohy_p.pac","\fin_inf\fin_nohy_p_d.pac",
			"\fin_inf\fin_nohy_z.pac","\fin_inf\fin_nohy_z_d.pac",
			"\fin_inf\fin_zada_z.pac","\fin_inf\fin_zada_z_d.pac"};
	};

	class fin_SoldierAT: SoldierWB
	{
		model="\fin_inf\fin_soldier";
		displayName="FIN Soldier AT";
		picture="\fin_inf\isat";
		moves="CfgMovesMC";
		vehicleClass="Men";
		scope=2;
		side=1;
		accuracy=0.800000;
		weapons[]={"uce_rk76","Throw","Put","CarlGustavLauncher"};
		magazines[]={"uce_rk76","uce_rk76","uce_rk76","uce_rk76","CarlGustavLauncher"};
		cost=50000;
		wounds[]={ "\fin_inf\xicht_a.paa","\fin_inf\xicht_a_zranen.pac",
			"\fin_inf\00003mc_fin.paa","\fin_inf\00007mc_fin.paa",
			"\fin_inf\00004mc_fin.paa","\fin_inf\00008mc_fin.paa",
			"\fin_inf\00005mc_fin.paa","\fin_inf\00009mc_fin.paa",
			"\fin_inf\fin_hrud_p.pac","\fin_inf\fin_hrud_p_d.pac",
			"\fin_inf\fin_nohy_p.pac","\fin_inf\fin_nohy_p_d.pac",
			"\fin_inf\fin_nohy_z.pac","\fin_inf\fin_nohy_z_d.pac",
			"\fin_inf\fin_zada_z.pac","\fin_inf\fin_zada_z_d.pac"};
	};

	class fin_SoldierAA: SoldierWB
	{
		model="\fin_inf\fin_soldier";
		displayName="FIN Soldier AA";
		picture="\fin_inf\isaa";
		moves="CfgMovesMC";
		vehicleClass="Men";
		scope=2;
		side=1;
		accuracy=0.800000;
		weapons[]={"uce_rk76","Throw","Put","9K32Launcher"};
		magazines[]={"uce_rk76","uce_rk76","uce_rk76","uce_rk76","9K32Launcher"};
		cost=50000;
		wounds[]={ "\fin_inf\xicht_a.paa","\fin_inf\xicht_a_zranen.pac",
			"\fin_inf\00003mc_fin.paa","\fin_inf\00007mc_fin.paa",
			"\fin_inf\00004mc_fin.paa","\fin_inf\00008mc_fin.paa",
			"\fin_inf\00005mc_fin.paa","\fin_inf\00009mc_fin.paa",
			"\fin_inf\fin_hrud_p.pac","\fin_inf\fin_hrud_p_d.pac",
			"\fin_inf\fin_nohy_p.pac","\fin_inf\fin_nohy_p_d.pac",
			"\fin_inf\fin_nohy_z.pac","\fin_inf\fin_nohy_z_d.pac",
			"\fin_inf\fin_zada_z.pac","\fin_inf\fin_zada_z_d.pac"};
	};

	class fin_SoldierEng: SoldierWB
	{
		model="\fin_inf\fin_soldier";
		displayName="FIN Engineer";
		picture="\fin_inf\iminer";
		moves="CfgMovesMC";
		vehicleClass="Men";
		scope=2;
		side=1;
		accuracy=0.800000;
		weapons[]={"uce_rk76","Throw","Put","NVGoggles"};
		magazines[]={"uce_rk76","uce_rk76","uce_rk76","uce_rk76","PipeBomb","Mine","Mine"};
		cost=50000;
		wounds[]={ "\fin_inf\xicht_a.paa","\fin_inf\xicht_a_zranen.pac",
			"\fin_inf\00003mc_fin.paa","\fin_inf\00007mc_fin.paa",
			"\fin_inf\00004mc_fin.paa","\fin_inf\00008mc_fin.paa",
			"\fin_inf\00005mc_fin.paa","\fin_inf\00009mc_fin.paa",
			"\fin_inf\fin_hrud_p.pac","\fin_inf\fin_hrud_p_d.pac",
			"\fin_inf\fin_nohy_p.pac","\fin_inf\fin_nohy_p_d.pac",
			"\fin_inf\fin_nohy_z.pac","\fin_inf\fin_nohy_z_d.pac",
			"\fin_inf\fin_zada_z.pac","\fin_inf\fin_zada_z_d.pac"};
	};

	class fin_Medic: SoldierWMedic
	{
		model="\fin_inf\fin_soldier";
		displayName="FIN Medic";
		picture="\fin_inf\imedic";
		moves="CfgMovesMC";
		vehicleClass="Men";
		scope=2;
		side=1;
		attendant=1;
		accuracy=0.800000;
		weapons[]={"uce_rk76","Throw","Put"};
		magazines[]={"uce_rk76","uce_rk76","uce_rk76","uce_rk76","HandGrenade","HandGrenade","HandGrenade"};
		nameSound="medic";
		cost=50000;
		wounds[]={ "\fin_inf\xicht_a.paa","\fin_inf\xicht_a_zranen.pac",
			"\fin_inf\00003mc_fin.paa","\fin_inf\00007mc_fin.paa",
			"\fin_inf\00004mc_fin.paa","\fin_inf\00008mc_fin.paa",
			"\fin_inf\00005mc_fin.paa","\fin_inf\00009mc_fin.paa",
			"\fin_inf\fin_hrud_p.pac","\fin_inf\fin_hrud_p_d.pac",
			"\fin_inf\fin_nohy_p.pac","\fin_inf\fin_nohy_p_d.pac",
			"\fin_inf\fin_nohy_z.pac","\fin_inf\fin_nohy_z_d.pac",
			"\fin_inf\fin_zada_z.pac","\fin_inf\fin_zada_z_d.pac"};
	};
};

class CfgGroups
{
	class fin_fdf
	{
		name="Finnish Defence Forces";
		class fin_Infantry
		{
			name="Infantry";
			class fin_InfantrySquad
			{
				name="Infantry Squad";

				class Unit0
				{
					side=1;
					vehicle="fin_Officer";
					rank="Lieutnant";
					position[]={0,0,0};
				};

				class Unit1
				{
					side=1;
					vehicle="fin_SoldierLAW";
					rank="Sergeant";
					position[]={-2,-2,0};
				};
				class Unit2
				{
					side=1;
					vehicle="fin_SoldierMG";
					rank="Sergeant";
					position[]={0,-2,0};
				};
				class Unit3
				{
					side=1;
					vehicle="fin_SoldierAT";
					rank="Corporal";
					position[]={2,-2,0};
				};
				class Unit4
				{
					side=1;
					vehicle="fin_Soldier";
					rank="Corporal";
					position[]={4,-2,0};
				};
				class Unit5
				{
					side=1;
					vehicle="fin_Soldier";
					rank="Corporal";
					position[]={6,-2,0};
				};
				class Unit6
				{
					side=1;
					vehicle="fin_Soldier";
					rank="Private";
					position[]={8,-2,0};
				};
				class Unit7
				{
					side=1;
					vehicle="fin_Medic";
					rank="Private";
					position[]={10,-2,0};
				};
			};
		};
	};
};
